Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/EvalScore/FrmEvalScoreAux.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/EvalScore/FrmEvalScoreAux.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/EvalScore/FrmEvalScoreAux.cs	(revision 484)
@@ -0,0 +1,727 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Diagnostics;
+using System.Threading;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.Master
+{
+    partial class FrmEvalScore
+    {
+
+        #region フォームロード時の処理
+        private bool bNotCtrlFlg = true;
+        /// <summary>
+        /// フォームロード時の処理
+        /// </summary>
+        private void InitFormLoad()
+        {
+            try
+            {
+                bNotCtrlFlg = true;
+
+                // コンボボックスセット
+                SetInitnumUDConstPro();
+                SetcmbDivision();
+                SetcmbOrders();
+
+                // グリッド表示
+                DspGridData();
+
+                bNotCtrlFlg = false;
+
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
+                // コントロールイベント制御処理
+                SetControlEvent(true);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                textBox1.Enabled = false;
+                btnDataEntry.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コントロールイベント制御処理
+        /// <summary>
+        /// コントロールイベント制御処理
+        /// </summary>
+        private void SetControlEvent(bool bCtrl)
+        {
+            try
+            {
+                if (bNotCtrlFlg) return;
+
+                if (bCtrl)
+                {
+                    numUDConstPro.ValueChanged += new EventHandler(numUDConstPro_ValueChanged);
+                    cmbDivision.TextChanged += new EventHandler(cmbDivision_TextChanged);
+                    cmbOrders.TextChanged += new EventHandler(cmbConstructionPerson_TextChanged);
+                }
+                else
+                {
+                    numUDConstPro.ValueChanged -= new EventHandler(numUDConstPro_ValueChanged);
+                    cmbDivision.TextChanged -= new EventHandler(cmbDivision_TextChanged);
+                    cmbOrders.TextChanged -= new EventHandler(cmbConstructionPerson_TextChanged);
+                }
+
+                numUDConstPro.Enabled = bCtrl;
+                cmbDivision.Enabled = bCtrl;
+                cmbOrders.Enabled = bCtrl;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 対象年度初期セット
+        /// <summary>
+        /// 対象年度初期セット
+        /// </summary>
+        private void SetInitnumUDConstPro()
+        {
+            try
+            {
+                // 検索年度セット
+                // データにある事業期と現在の事業セット
+                int minval = 0;
+                int maxval = 0;
+                CommonMotions.GetPeriodYearMinMax(ref minval, ref maxval);
+
+                numUDConstPro.Minimum = minval;
+                numUDConstPro.Maximum = maxval;
+                numUDConstPro.Value = CommonMotions.GetPeriodYear();
+
+                CommonMotions.SetSerchTitle(label6, label11, numUDConstPro, label8);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 発注者区分コンボボックスセット
+        /// <summary>
+        /// 発注者区分コンボボックスセット
+        /// </summary>
+        private void SetcmbDivision()
+        {
+            IOMDivision dvDB = new IOMDivision();
+            try
+            {
+                int nBeforeCode = CommonMotions.cnvInt(cmbDivision.SelectedValue);
+
+                // ValueからKeyを検索
+                int nDivisionCode = (int)DivisionMaster.DivisionMasterCodeDef.OrderDivision;
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.AppendFormat(" {0}", IOMDivision.CreateFieldNameList("A."));
+                strSQL.Append(" From divisionmaster As A");
+                strSQL.Append("      Inner Join constructionbaseinfo As B");
+                strSQL.Append("            On B.OrderersDivision = A.NameCode");
+                if (CommonMotions.BasePeriodYear())
+                    strSQL.AppendFormat("  And B.ConstructionPeriod = {0}", numUDConstPro.Value);
+                else
+                    strSQL.AppendFormat("  And B.ConstructionYear = {0}", numUDConstPro.Value);
+
+                strSQL.Append("      Inner Join constructiontypemaster As C");
+                strSQL.Append("            On C.TypeCode = B.ConstructionType");
+                strSQL.AppendFormat("      And C.PublicFlg = {0}", (int)ConstructionTypeMaster.PublicFlgDef.Community);
+                strSQL.AppendFormat(" Where A.DivisionCode = {0}", nDivisionCode);
+                strSQL.AppendFormat(" And A.DeleteFlg = {0}", (int)CommonDefine.DataDeleteDef.Exists);
+                strSQL.Append("       Group By A.NameCode");
+                strSQL.Append("       Order by A.DisplayOrder");
+
+                ArrayList bvList = new ArrayList();
+                if (!dvDB.ExecuteReader(strSQL.ToString(), ref bvList)) return;
+                if (bvList.Count < 1) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                // データ表示
+                DivisionMaster master = new DivisionMaster();
+                foreach(object[] ObjRec in bvList)
+                {
+                    dvDB.Reader2Struct(ObjRec, ref master);
+
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(master.NameCode, master.NameString);
+
+                    DataList.Add(keyval);
+                }
+
+                cmbDivision.DataSource = null;
+                cmbDivision.Items.Clear();
+                cmbDivision.Text = "";
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDivision, DataList);
+
+                cmbDivision.SelectedValue = nBeforeCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dvDB.close(); dvDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者コンボボックスをセットする
+        /// <summary>
+        /// 発注者者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcmbOrders()
+        {
+            // 発注者クラス
+            IOMOrderers orDB = new IOMOrderers();
+            try
+            {
+                int nBeforeCode = CommonMotions.cnvInt(cmbOrders.SelectedValue);
+                int nDivisionCode = CommonMotions.cnvInt(cmbDivision.SelectedValue);
+
+                // 発注者取得SQL
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.AppendFormat(" {0}", IOMOrderers.CreateFieldNameList("A."));
+                strSQL.Append(" From orderersmaster As A");
+                strSQL.Append("      Inner Join constructionbaseinfo As B");
+                strSQL.Append("            On B.OrderersDivision = A.OrderCotegory");
+                strSQL.Append("            And B.OrderersCode = A.OrderersCode");
+                if (CommonMotions.BasePeriodYear())
+                    strSQL.AppendFormat("  And B.ConstructionPeriod = {0}", numUDConstPro.Value);
+                else
+                    strSQL.AppendFormat("  And B.ConstructionYear = {0}", numUDConstPro.Value);
+
+                strSQL.Append("      Inner Join constructiontypemaster As C");
+                strSQL.Append("            On C.TypeCode = B.ConstructionType");
+                strSQL.AppendFormat("      And C.PublicFlg = {0}", (int)ConstructionTypeMaster.PublicFlgDef.Community);
+                strSQL.AppendFormat(" Where A.OrderCotegory = {0}", nDivisionCode);
+                strSQL.AppendFormat(" And A.DeleteFlg = {0}", (int)CommonDefine.DataDeleteDef.Exists);
+                strSQL.Append("       Group By A.OrderersCode");
+                strSQL.Append("       Order by A.DisplayOrder");
+
+                // 作業名称取得
+                ArrayList wrk = new ArrayList();
+                if (!orDB.ExecuteReader(strSQL.ToString(), ref wrk)) return;
+                if (wrk.Count < 1) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                OrderersMaster master = new OrderersMaster();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+             
+                // データ表示
+                foreach (object[] ObjRec in wrk)
+                {
+                    orDB.Reader2Struct(ObjRec, ref master);
+
+                    // 発注者名を法人格を含めて連結する
+                    string wrkDisp = CommonMotions.OrderersNameUnion(master);
+
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(master.OrderersCode, wrkDisp);
+
+                    DataList.Add(keyval);
+                }
+
+                cmbOrders.DataSource = null;
+                cmbOrders.Items.Clear();
+                cmbOrders.Text = "";
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbOrders, DataList);
+
+                cmbOrders.SelectedValue = nBeforeCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                orDB.close(); orDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者区分コンボより発注者区分コードを取得する
+        /// <summary>
+        /// 発注者区分コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDivisionCode()
+        {
+            try
+            {
+                return CommonMotions.cnvInt(cmbDivision.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 発注者コンボより発注者者コードを取得する
+        /// <summary>
+        /// 発注者コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetOrdersCode()
+        {
+            try
+            {
+                return CommonMotions.cnvInt(cmbOrders.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region グリッドデータ表示
+        /// <summary>
+        /// グリッドデータ表示
+        /// </summary>
+        private void DspGridData()
+        {
+            IOAllFreeSQL FreeDB = new IOAllFreeSQL();
+            try
+            {
+                // 入力フィールドクリア
+                ClearFeild();
+
+                ArrayList BaseList = new ArrayList();
+                // 表示データをＤＢより取得する
+                GetDisplayData(ref BaseList);
+
+                // データをグリッドへセットする
+                SetGridData(BaseList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                FreeDB.close(); FreeDB = null;
+            }
+        }
+        #endregion
+
+        #region 入力フィールドクリア
+        /// <summary>
+        /// 入力フィールドクリア
+        /// </summary>
+        private void ClearFeild()
+        {
+            try
+            {
+                label2.Text = string.Empty;
+                textBox1.Text = string.Empty;
+                label5.Text = string.Empty;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 表示データをＤＢより取得する
+        /// <summary>
+        /// 表示データをＤＢより取得する
+        /// </summary>
+        private void GetDisplayData(ref ArrayList BaseList)
+        {
+            IOAllFreeSQL FreeDB = new IOAllFreeSQL();
+            try
+            {
+                // ----- 検索条件作成
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.Append(" A.ConstructionCode");
+                strSQL.Append(", B.DetailString");
+                strSQL.Append(", C.PersonName");
+                strSQL.Append(", A.EvaluationScore");
+
+                strSQL.Append("  From constructionbaseinfo As A");
+
+                strSQL.Append("  Inner Join constructionbaseinfodetail As B");
+                strSQL.Append("        On B.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("  And B.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+
+                strSQL.Append("  Inner Join personinchargemaster As C");
+                strSQL.Append("        On C.PersonCode = A.ConstructionPersonCode");
+
+                strSQL.Append("  Inner Join constructiontypemaster As D");
+                strSQL.Append("        On D.TypeCode = A.ConstructionType");
+                strSQL.AppendFormat("  And D.PublicFlg = {0}", (int)ConstructionTypeMaster.PublicFlgDef.Community);
+
+                strSQL.Append(" Where ");
+                if (CommonMotions.BasePeriodYear())
+                    strSQL.AppendFormat(" A.ConstructionPeriod = {0}", numUDConstPro.Value);
+                else
+                    strSQL.AppendFormat(" A.ConstructionYear = {0}", numUDConstPro.Value);
+
+                // 増減工事の子工事は対象外
+                strSQL.Append(" And");
+                strSQL.AppendFormat(" A.TyingFlg != {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+
+                // 非受注以外
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+                strSQL.Append(" And");
+                strSQL.AppendFormat(" A.ConstructionStatusFlg != {0}", iStatus);
+
+                // 発注者区分が選択されている場合
+                strSQL.Append(GetDivisionString());
+
+                // 発注者が選択されている場合
+                strSQL.Append(GetOrdersString());
+
+                strSQL.Append(" Group By A.ConstructionCode");
+                strSQL.Append(" Order By A.ConstructionCompletionDate Desc");
+
+                BaseList.Clear();
+                if (!FreeDB.ExecuteReader(strSQL.ToString(), ref BaseList)) return;
+                if (BaseList.Count < 1) return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                FreeDB.close(); FreeDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者区分が選択されている場合
+        /// <summary>
+        /// 発注者が選択されている場合
+        /// </summary>
+        /// <returns></returns>
+        private string GetDivisionString()
+        {
+            try
+            {
+                StringBuilder strRet = new StringBuilder();
+
+                // 発注者区分の選択
+                int DivisionCode = GetDivisionCode();
+                if (DivisionCode < 1) return strRet.ToString();
+
+                strRet.AppendFormat(" AND A.OrderersDivision = {0}", DivisionCode);
+
+                return strRet.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 発注者が選択されている場合
+        /// <summary>
+        /// 発注者が選択されている場合
+        /// </summary>
+        /// <returns></returns>
+        private string GetOrdersString()
+        {
+            try
+            {
+                StringBuilder strRet = new StringBuilder();
+
+                // 発注者が選択されている場合
+                int OrdersCode = GetOrdersCode();
+                if (OrdersCode < 1) return strRet.ToString();
+
+                strRet.AppendFormat(" AND A.OrderersCode = {0}", OrdersCode);
+
+                return strRet.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region データをグリッドへセットする
+        /// <summary>
+        /// データをグリッドへセットする
+        /// </summary>
+        private void SetGridData(ArrayList BaseList)
+        {
+            try
+            {
+                DataGridView dgv = dataGridViewEX1;
+                DataGridViewRow[] DataRow = new DataGridViewRow[BaseList.Count];
+
+                int nRowPosition = dgv.FirstDisplayedScrollingRowIndex;
+
+                int iy = 0;
+                foreach (object[] CurRec in BaseList)
+                {
+                    DataGridViewRow GridRow = new DataGridViewRow();
+                    GridRow.CreateCells(dgv);
+
+                    GridRow.Cells[(int)GridColumn.ConstrCode].Value = CurRec[0];
+                    GridRow.Cells[(int)GridColumn.No].Value = ++iy;
+                    GridRow.Cells[(int)GridColumn.ConstrName].Value = CurRec[1];
+                    GridRow.Cells[(int)GridColumn.PersonName].Value = CurRec[2];
+                    decimal decVal = CommonMotions.cnvDecimal(CurRec[3]);
+                    if (decVal != 0)
+                    {
+                        GridRow.Cells[(int)GridColumn.Score].Value = CommonMotions.cnvDecimal(CurRec[3]).ToString("0.00");
+                    }
+                    else
+                    {
+                        GridRow.Cells[(int)GridColumn.Score].Value = string.Empty;
+                    }
+
+                    DataRow[(iy - 1)] = GridRow;
+                }
+
+                dgv.Rows.Clear();
+                dgv.Rows.AddRange(DataRow);
+
+                if (nRowPosition > 0) dgv.FirstDisplayedScrollingRowIndex = nRowPosition;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッド選択データセット
+        /// <summary>
+        /// グリッド選択データセット
+        /// </summary>
+        private void SetSelectData()
+        {
+            try
+            {
+                DataGridView dgv = dataGridViewEX1;
+                DataGridViewRow SelRow = dgv.CurrentRow;
+
+                label5.Text = CommonMotions.cnvInt(SelRow.Cells[(int)GridColumn.ConstrCode].Value).ToString();
+                label2.Text = CommonMotions.cnvString(SelRow.Cells[(int)GridColumn.ConstrName].Value);
+                textBox1.Text = CommonMotions.cnvDecimal(SelRow.Cells[(int)GridColumn.Score].Value).ToString("0.00");
+                textBox1.Focus();
+                textBox1.SelectAll();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region データ登録処理
+        /// <summary>
+        /// データ登録処理
+        /// </summary>
+        /// <returns></returns>
+        private bool DataEntryProcess()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                //データチェック
+                if (!DispFeildCheck()) return false;
+
+                if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return false;
+
+
+                int nConstrCode = CommonMotions.cnvInt(label5.Text);
+                decimal nScore = CommonMotions.cnvDecimal(textBox1.Text);
+
+                StringBuilder strSQL = new StringBuilder();
+
+                strSQL.Append("Update constructionbaseinfo As A");
+                strSQL.AppendFormat(" Set EvaluationScore = {0}", nScore);
+                strSQL.AppendFormat(" Where A.ConstructionCode = {0}", nConstrCode);
+                strSQL.Append("       Or A.ConstructionCode in (Select B.FluctuationCode From constructionlink As B");
+                strSQL.AppendFormat("                           Where B.ConstructionCode = {0})", nConstrCode);
+
+                if(!BaseDB.ExecuteNonQuery(strSQL.ToString()))
+                {
+                    MessageBox.Show("工事情報更新に失敗しました。"
+                                        , "更新エラー"
+                                        , MessageBoxButtons.OK
+                                        , MessageBoxIcon.Information);
+                    return false;
+                }
+
+                // 入力フィールドクリア
+                ClearFeild();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
+        #region データチェック
+        /// <summary>
+        /// データチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            try
+            {
+                bool bRet = true;
+                string[] ErrMsg = new string[2];
+                decimal decVal = CommonMotions.cnvDecimal(textBox1.Text);
+
+                if (label5.Text.Length < 1)
+                {
+                    // 選択チェック
+                    ErrMsg[0] = "工事が選択されていません。";
+                    ErrMsg[1] = "選択エラー";
+                    bRet = false;
+                }
+                else if (!CommonMotions.chkNumeric(textBox1.Text))
+                {
+                    // 数字チェック
+                    ErrMsg[0] = "評価点が正しく入力されていません。";
+                    ErrMsg[1] = "入力エラー";
+                    bRet = false;
+                }
+                else if (decVal < 0 || 100 < decVal)
+                {
+                    // 範囲チェック
+                    ErrMsg[0] = "評価点は０～１００の範囲で入力してください。";
+                    ErrMsg[1] = "入力エラー";
+                    bRet = false;
+                }
+
+                if (!bRet)
+                {
+                    MessageBox.Show(ErrMsg[0]
+                                        , ErrMsg[1]
+                                        , MessageBoxButtons.OK
+                                        , MessageBoxIcon.Information);
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入力後処理
+        /// <summary>
+        /// 入力後処理
+        /// </summary>
+        private void ValidatedProc()
+        {
+            try
+            {
+                bool bRet = true;
+                string[] ErrMsg = new string[2];
+                decimal decVal = CommonMotions.cnvDecimal(textBox1.Text);
+
+                if (!CommonMotions.chkNumeric(textBox1.Text))
+                {
+                    // 数字チェック
+                    ErrMsg[0] = "評価点が正しく入力されていません。";
+                    ErrMsg[1] = "入力エラー";
+                    bRet = false;
+                }
+                else if (decVal < 0 || 100 < decVal)
+                {
+                    // 範囲チェック
+                    ErrMsg[0] = "評価点は０～１００の範囲で入力してください。";
+                    ErrMsg[1] = "入力エラー";
+                    bRet = false;
+                }
+
+                if (!bRet)
+                {
+                    MessageBox.Show(ErrMsg[0]
+                                        , ErrMsg[1]
+                                        , MessageBoxButtons.OK
+                                        , MessageBoxIcon.Information);
+                    return;
+                }
+
+                textBox1.Text = decVal.ToString("0.00");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
